"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class State(object):
    """
    This is the master state for this sample, for example caution,quality
    could be used to say that a sample under this individual has
    quality issues.  ready: sample is ready to be used pending: sample
    is in the process of being analysed hold: sample is on hold
    pending investigation fail: sample has failed a QC check caution:
    sample is ready but should be used with caution
    """

    ready = "ready"
    warning = "warning"
    pending = "pending"
    hold = "hold"
    fail = "fail"
    caution = "caution"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.0.0"
